Package com.independentsoft.office.charts

# Class PivotSource

java.lang.Object
com.independentsoft.office.charts.PivotSource

public class PivotSource extends Object
The Class PivotSource.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PivotSource()`
  Instantiates a new pivot source.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PivotSource`
  `clone()`
  `ExtensionList`
  `getExtensionList()`
  Gets the extension list (`c:extLst`).
  `int`
  `getFormat()`
  Gets the format.
  `String`
  `getName()`
  Gets the name.
  `void`
  `setExtensionList​(ExtensionList extensionList)`
  Sets the extension list (`c:extLst`).
  `void`
  `setFormat​(int formatID)`
  Sets the format.
  `void`
  `setName​(String name)`
  Sets the name.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PivotSource

    public PivotSource()
    Instantiates a new pivot source.

- ## Method Details

  - ### clone

    public PivotSource clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getExtensionList

    public ExtensionList getExtensionList()
    Gets the extension list (`c:extLst`).
    Returns:
      the extension list

  - ### setExtensionList

    public void setExtensionList​(ExtensionList extensionList)
    Sets the extension list (`c:extLst`).
    Parameters:
      `extensionList` - the new extension list

  - ### getFormat

    public int getFormat()
    Gets the format.
    Returns:
      the format

  - ### setFormat

    public void setFormat​(int formatID)
    Sets the format.
    Parameters:
      `formatID` - the new format

  - ### getName

    public String getName()
    Gets the name.
    Returns:
      the name

  - ### setName

    public void setName​(String name)
    Sets the name.
    Parameters:
      `name` - the new name